import LocationsRepository from "../entities/locationsRepository";
import WeatherService from "../entities/weatherService";
import { CreateLocationData } from "./createLocation";

export default class LocationService {
  constructor(
    private readonly repository: LocationsRepository,
    private readonly weatherService: WeatherService
  ) {}

  createLocation(data: CreateLocationData) {
    // TODO
    // const location = new Location()
    // this.repository.save(location);
  }

  getLocations() {
    // TODO
  }

  getForecasts() {
    // TODO
  }
}
